> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagmaster.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar saldo USDT

> Exige read. Saldo disponível e reservas próprios, em milionésimos de USDT. Não é saldo BRL.



## OpenAPI

````yaml /openapi.yaml get /crypto/account
openapi: 3.1.0
info:
  title: Master API
  version: 1.4.1
  description: >-
    API pública da Pagmaster: uma conta principal, subcontas com ledger próprio,
    cobranças Pix e cartão e saques automáticos. BRL em centavos; cripto em
    milionésimos de USDT.
servers:
  - url: https://api.pagmaster.site/api/v1/public
    description: Produção, após configurar DNS e HTTPS
  - url: http://127.0.0.1:4000/api/v1/public
    description: Desenvolvimento local
security:
  - bearerAuth: []
tags:
  - name: Conta
    description: Saldo e limites da conta
  - name: Pagamentos
    description: Consulta de operações
  - name: Cobranças Pix
    description: Criação de cobranças
  - name: Transferências Pix
    description: Envios automáticos autorizados por API key
  - name: Cartão de crédito
    description: Checkout hospedado e consulta de aprovação e liquidação
  - name: Subcontas
    description: Saldos e históricos independentes da conta principal
  - name: Links de pagamento
    description: Links de cobrança de uso único com Pix ou cartão
  - name: Cripto
    description: Cobranças, saldo separado USDT e saques TRC-20
paths:
  /crypto/account:
    parameters:
      - $ref: '#/components/parameters/SubaccountHeader'
    get:
      tags:
        - Cripto
      summary: Consultar saldo USDT
      description: >-
        Exige read. Saldo disponível e reservas próprios, em milionésimos de
        USDT. Não é saldo BRL.
      operationId: getCryptoAccount
      responses:
        '200':
          description: Resposta confirmada ou estado atual, sem cache.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CryptoAccount'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimit'
components:
  parameters:
    SubaccountHeader:
      name: X-Master-Subaccount
      in: header
      required: false
      description: >-
        UUID de uma subconta pertencente à API key. Sem este header, utiliza a
        principal. Não combine com contextos legados de operação.
      schema:
        type: string
        format: uuid
  schemas:
    CryptoAccount:
      type: object
      required:
        - operationId
        - currency
        - unitScale
        - balanceUnits
        - reservedUnits
        - feePercent
      properties:
        operationId:
          type: string
          format: uuid
        currency:
          type: string
          enum:
            - usdt
        unitScale:
          type: integer
          const: 1000000
        balanceUnits:
          type: integer
          minimum: 0
        reservedUnits:
          type: integer
          minimum: 0
        feePercent:
          type: number
          const: 3
        withdrawalFeePercent:
          type: number
          const: 3
        minimumWithdrawalUnits:
          type: integer
          const: 10051547
        maximumWithdrawalUnits:
          type: integer
          const: 2000000000
        enabled:
          type: boolean
        withdrawalsFrozen:
          type: boolean
        apiTransfersFrozen:
          type: boolean
        payCurrencies:
          type: array
          items:
            type: string
        usdtNetworks:
          type: array
          items:
            type: string
    Error:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
  responses:
    BadRequest:
      description: Dados inválidos ou conflito de idempotência
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: API key ausente, inválida ou revogada
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Permissão insuficiente
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Operação não encontrada nesta conta
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Limite temporário de requisições
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key criada em Integrações → Keys. Exemplo `mk_live_...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.